summaryrefslogtreecommitdiff
path: root/tests/misc/tee-dash
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2007-09-11 23:30:09 +0200
committerJim Meyering <jim@meyering.net>2007-09-15 08:40:39 +0200
commit44629cf147ba5c3827b5252e36ce50ce447b36b8 (patch)
treeabfb93f2f68ff35e0ab87f70a6aec73df217f8c8 /tests/misc/tee-dash
parenteb3f59b7e1fece055a51ef724c63edac56ab9636 (diff)
downloadcoreutils-44629cf147ba5c3827b5252e36ce50ce447b36b8.tar.xz
Move the two tests in tests/tee to tests/misc/.
* tests/tee/basic: Move this file to ... * tests/misc/tee: ...here. Don't rely on $PROG in env. * tests/tee/dash: Move this file to ... * tests/misc/tee-dash: ...here. Don't rely on $PROG in env. * tests/misc/Makefile.am (TESTS): Add tee. * tests/Makefile.am (SUBDIRS): Remove tee. * tests/tee: Remove the directory. * configure.ac (AC_CONFIG_FILES): Remove tests/tee/Makefile
Diffstat (limited to 'tests/misc/tee-dash')
-rwxr-xr-xtests/misc/tee-dash29
1 files changed, 29 insertions, 0 deletions
diff --git a/tests/misc/tee-dash b/tests/misc/tee-dash
new file mode 100755
index 000000000..3e4ecd6f0
--- /dev/null
+++ b/tests/misc/tee-dash
@@ -0,0 +1,29 @@
+#!/bin/sh
+# test for "tee -".
+
+# Copyright (C) 2005-2007 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ tee --version
+fi
+
+. $srcdir/../test-lib.sh
+
+fail=0
+tee - </dev/null || fail=1
+
+(exit $fail); exit $fail